summaryrefslogtreecommitdiffstats
path: root/libraries/libxml++
diff options
context:
space:
mode:
author Iskar Enev2010-05-13 00:32:15 +0200
committer David Somero2010-05-13 00:32:15 +0200
commitba13ca371533f689d03ce2ee42820da6a9e9531a (patch)
treead273ce7848a74c5d0da98acd41b3b8908159bb7 /libraries/libxml++
parentdf94b19b090233d6fe8fd66d8bd6b6642b14f429 (diff)
downloadslackbuilds-ba13ca371533f689d03ce2ee42820da6a9e9531a.tar.gz
libraries/libxml++: Updated for version 2.24.2
Diffstat (limited to 'libraries/libxml++')
-rw-r--r--libraries/libxml++/libxml++.SlackBuild12
-rw-r--r--libraries/libxml++/libxml++.info2
2 files changed, 11 insertions, 3 deletions
diff --git a/libraries/libxml++/libxml++.SlackBuild b/libraries/libxml++/libxml++.SlackBuild
index 831ad8e5e2..701eb5ddba 100644
--- a/libraries/libxml++/libxml++.SlackBuild
+++ b/libraries/libxml++/libxml++.SlackBuild
@@ -20,10 +20,13 @@ set -e
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
rm -rf $PKG
@@ -44,6 +47,7 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--build=$ARCH-slackware-linux
@@ -52,8 +56,10 @@ make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
@@ -67,4 +73,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libxml++/libxml++.info b/libraries/libxml++/libxml++.info
index 34ac1f4bfb..de36f49fa0 100644
--- a/libraries/libxml++/libxml++.info
+++ b/libraries/libxml++/libxml++.info
@@ -2,7 +2,9 @@ PRGNAM="libxml++"
VERSION="2.24.2"
HOMEPAGE="http://libxmlplusplus.sourceforge.net"
DOWNLOAD="http://ftp.gnome.org/pub/GNOME/sources/libxml++/2.24/libxml++-2.24.2.tar.bz2"
+DOWNLOAD_x86_64=""
MD5SUM="ec98c0975cc21d62c3e9e71f3beffde2"
+MD5SUM_x86_64=""
MAINTAINER="Iskar Enev"
EMAIL="iskar.enev@gmail.com"
APPROVED="dsomero"